AstrologyAPI

Use access token to call astrology api.

Learn More

Lalkitab Remedies

POSThttps://json.astrologyapi.com/v1/lalkitab_remedies/:planet_name
Copy

The lalkitab_remedies/:planet_name API provides Lal Kitab remedies for a given planet name. The response contains the planet name, house placement, Lal Kitab descriptions, and remedies for that planet. The remedies include suggestions such as avoiding certain clothing colors, performing certain actions for a certain duration, and abstaining from certain food and drink.

POST/lalkitab_remedies/:planet_name
Copy
1curl --location 'https://json.astrologyapi.com/v1/lalkitab_remedies/:planet_name' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "planet": "Sun",
3  "house": "Ninth",
4  "lal_kitab_desc": [
5    "Benefits and favours from government, good health and financially stronger. ",
6    "The native will get a government job and comforts of vehicles and servants. ",
7    "The native will always be suspicious about others.",
8    "If the Sun is in the 4th house, the native.s father will die in his childhood. ",
9    "If the Sun is in the 10th house and moon is in the 5th house the native will have a very short life. ",
10    "If the 4th house is without any planet, the native will be deprived of government favours and benefits. "
11  ],
12  "lal_kitab_remedies": [
13    "Never wear blue or black clothes.",
14    "Throwing a copper coin in a river or canal for 43 years will be highly beneficial.",
15    "Abstain from liquor and meat."
16  ]
17}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hi

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Path Parameters

planet_name

string

required

Planet Name, eg: sun, moon

Properties

sunmoonmarsmercuryjupitervenussaturnrahuketu

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.